Subject: Re: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Oct 2023 09:00:39 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: Ihor Radchenko <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Tue, 03 Oct 2023 05:25:39 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > Aside: this reminds me about obsoletion of generalized buffer-local
> > > variable. AFAIU, there is currently no way to set buffer-local value in
> > > buffer without setting that buffer to current. It would be nice if such
> > > setting were possible, especially in performance-critical code.
> >
> > Maybe, but is there any performance-critical code which needs that?
> 
> I don't know, but the gv-setter of `buffer-local-value' also calls
> `with-current-buffer', so using it was not better performance-wise.

If we discover enough performance-critical cases with that, we could
provide a special way, implemented in C, of doing that efficiently.